Bug 33209 - Japanese kickstart install:if LANG=en_US in ks.cfg,system will be installed as English version.
Summary: Japanese kickstart install:if LANG=en_US in ks.cfg,system will be installed a...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ksconfig   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-26 08:17 UTC by Bill Huang
Modified: 2005-10-31 22:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-23 19:50:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update to support Japanese installer language and enviroment language (4.57 KB, patch)
2001-04-16 07:50 UTC, Bill Huang
no flags Details | Diff

Description Bill Huang 2001-03-26 08:17:14 UTC
(Originally reported by Hitachi tester)
Test with Wolverine.
Japanese kickstart installation,if set LANG=en_US in ks.cfg file,
system will be installed as English enviroment.
/etc/sysconfig/i18n is set to en_US.

Comment 1 Bill Huang 2001-03-26 11:45:32 UTC
qa0324.0 

Japanese is not enabled in ksconfig.

Comment 2 Brent Fox 2001-04-03 21:51:31 UTC
So is the problem with ksconfig, anaconda, or both?

Comment 3 Bill Huang 2001-04-04 02:52:20 UTC
Sorry to make you confused.Actually there are problems with both of them.
I will file another bug report pointing to ksconfig.

Comment 4 Bill Huang 2001-04-04 03:02:15 UTC
Actually there should be two options about language:
1)installer language
2)enviroment language
These two options have been available in anaconda.(CDROM install,NFS install...)
However in ks.cfg file only one language option is used,
another language option should be added for post-install enviroment.

Comment 5 Brent Fox 2001-04-04 20:29:06 UTC
Actually, kickstart was updated to support the environment language. 
Unfortunately, however, the change was not documented.  The correct tag in the
kickstart file should be:
langsupport en_US (or whatever language you want)

Tammy, can you make sure that this gets rolled into the kickstart documentation
in the future?

Comment 6 Brent Fox 2001-04-04 20:31:43 UTC
So yes, environment language support should be rolled into ksconfig too.

Comment 7 Tammy Fox 2001-04-04 21:07:30 UTC
Changing component to Customization Guide.

It is too late to get this in the printed docs for this release, but I will add
it in CVS so that it is fixed for the next release and issue an errata once
everything is released.

Comment 8 Bill Huang 2001-04-16 07:50:13 UTC
Created attachment 15425 [details]
Update to support Japanese installer language and enviroment language

Comment 9 Tammy Fox 2001-04-16 15:40:07 UTC
Thanks for that patch! I am reassigning to the ksconfig component.

Comment 10 Brent Fox 2001-04-23 19:50:14 UTC
Thanks, Bill.  I have applied the patch and committed it to cvs.  The fix should
appear in all post 1.2-1 builds of ksconfig.


Note You need to log in before you can comment on or make changes to this bug.